Bug 83556 - new port: audio/penguinsap - A command line player for playing .sap audio files
Summary: new port: audio/penguinsap - A command line player for playing .sap audio files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-16 13:20 UTC by Emanuel Haupt
Modified: 2005-07-18 23:14 UTC (History)
0 users

See Also:


Attachments
penguinsap.shar (2.57 KB, text/plain)
2005-07-16 13:20 UTC, Emanuel Haupt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt 2005-07-16 13:20:22 UTC
new port: audio/penguinsap - A command line player for playing .sap audio files

A simple command line player for playing 8bit Atari(TM) .sap (Slight Atari
Player) audio files.

Attention:
There is a [ctrl-v][return] in the post-patch section. I need to replace CR/LF's
or else gcc 2.95.4 will fail. I didn't want to pull in unnecessary dependencies
like perl or gsed.
Comment 1 Emanuel Haupt 2005-07-17 11:52:07 UTC
I found a better solution for the ^M problem in the porters handbook.

Please apply the following patch:

--- Makefile.patch begins here ---
--- Makefile.orig	Sun Jul 17 12:45:07 2005
+++ Makefile	Sun Jul 17 12:46:35 2005
@@ -26,10 +26,8 @@
 PLIST_FILES=	bin/sap
 
 post-patch:
-# gcc 2.95.4 does not like CR/LFs
-	@${FIND} ${WRKSRC} -type f -exec \
-		${REINPLACE_CMD} -E -e 's|
-||' {} \;
+	@${FIND} -E ${WRKDIR} -type f -iregex ".*\.(c|cpp|h|txt)" -print0 | \
+		${XARGS} -0 ${REINPLACE_CMD} -e 's/[[:cntrl:]]*$$//'
 	@${REINPLACE_CMD} -e 's|linux/soundcard\.h|sys/soundcard\.h|' \
 		${WRKSRC}/main.cpp
 
--- Makefile.patch ends here ----
Comment 2 Pav Lucistnik freebsd_committer 2005-07-18 23:13:36 UTC
State Changed
From-To: open->closed

New port added, thank you! 

Again, had to turn off optimized CFLAGS per default. Next time please make 
your port respect standard CFLAGS by default.